=== debian/changelog ===
openmesh (9.0-4build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:41:50 +0000

openmesh (9.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:41:44 +0000

openmesh (9.0-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:10:25 +0000

openmesh (9.0-4) unstable; urgency=medium

  * Added Build-Depends: ghostscript
  * Builds that target only arch:all work now

 -- Dima Kogan <dkogan@debian.org>  Sun, 06 Nov 2022 14:47:17 -0800

openmesh (9.0-3) unstable; urgency=medium

  * Added Build-Depends: graphviz

 -- Dima Kogan <dkogan@debian.org>  Fri, 04 Nov 2022 10:36:25 -0700

openmesh (9.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Dima Kogan <dkogan@debian.org>  Tue, 01 Nov 2022 12:04:20 -0700

openmesh (9.0-1) unstable; urgency=medium

  * First release into Debian (Closes: #1015235)

 -- Dima Kogan <dkogan@debian.org>  Tue, 19 Jul 2022 15:22:27 -0700
