=== debian/control ===
Source: openmesh
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libopengl-dev,
               freeglut3-dev,
               libqt5opengl5-dev
Build-Depends-Indep: doxygen,
                     texlive-latex-base,
                     texlive-latex-extra,
                     graphviz,
                     ghostscript
Standards-Version: 4.6.0
Homepage: http://www.openmesh.org
Vcs-Git: https://salsa.debian.org/science-team/openmesh.git
Vcs-Browser: https://salsa.debian.org/science-team/openmesh

Package: libopenmesh1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for representing and manipulating polygonal meshes
 OpenMesh is a generic and efficient data structure for representing and
 manipulating polygonal meshes. It was designed with the following goals in
 mind:
 .
 - Flexibility: provide a basis for many different algorithms without the need
 for adaptation.
 .
 - Efficiency: maximize time efficiency while keeping memory usage as low as
 possible.
 .
 - Ease of use: wrap complex internal structure in an easy-to-use interface.
 .
 OpenMesh provides the following features:
 .
 - Representation of arbitrary polygonal (the general case) and pure triangle
 meshes (providing more efficient, specialized algorithms)
 .
 - Explicit representation of vertices, halfedges, edges and faces.
 .
 - Fast neighborhood access, especially the one-ring neighborhood
 .
 - Highly customizable
 .
   - Choose your coordinate type (dimension and scalar type)
   - Attach user-defined elements/functions to the mesh elements.
   - Attach and check for attributes
   - Attach data at runtime using dynamic properties.
 .
 This package provides the shared library

Package: libopenmesh-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmesh1 (= ${binary:Version}),
         libeigen3-dev,
         libopenscenegraph-dev
Suggests: libopenmesh-doc, libopenmesh-apps
Description: Tools for representing and manipulating polygonal meshes
 OpenMesh is a generic and efficient data structure for representing and
 manipulating polygonal meshes. It was designed with the following goals in
 mind:
 .
 - Flexibility: provide a basis for many different algorithms without the need
 for adaptation.
 .
 - Efficiency: maximize time efficiency while keeping memory usage as low as
 possible.
 .
 - Ease of use: wrap complex internal structure in an easy-to-use interface.
 .
 OpenMesh provides the following features:
 .
 - Representation of arbitrary polygonal (the general case) and pure triangle
 meshes (providing more efficient, specialized algorithms)
 .
 - Explicit representation of vertices, halfedges, edges and faces.
 .
 - Fast neighborhood access, especially the one-ring neighborhood
 .
 - Highly customizable
 .
   - Choose your coordinate type (dimension and scalar type)
   - Attach user-defined elements/functions to the mesh elements.
   - Attach and check for attributes
   - Attach data at runtime using dynamic properties.
 .
 This package provides the development files library

Package: libopenmesh-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmesh1 (= ${binary:Version})
Description: Tools for representing and manipulating polygonal meshes
 OpenMesh is a generic and efficient data structure for representing and
 manipulating polygonal meshes. It was designed with the following goals in
 mind:
 .
 - Flexibility: provide a basis for many different algorithms without the need
 for adaptation.
 .
 - Efficiency: maximize time efficiency while keeping memory usage as low as
 possible.
 .
 - Ease of use: wrap complex internal structure in an easy-to-use interface.
 .
 OpenMesh provides the following features:
 .
 - Representation of arbitrary polygonal (the general case) and pure triangle
 meshes (providing more efficient, specialized algorithms)
 .
 - Explicit representation of vertices, halfedges, edges and faces.
 .
 - Fast neighborhood access, especially the one-ring neighborhood
 .
 - Highly customizable
 .
   - Choose your coordinate type (dimension and scalar type)
   - Attach user-defined elements/functions to the mesh elements.
   - Attach and check for attributes
   - Attach data at runtime using dynamic properties.
 .
 This package provides the executable tools

Package: libopenmesh-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: libopenmesh-dev (= ${binary:Version}), libopenmesh-apps (= ${binary:Version})
Description: Tools for representing and manipulating polygonal meshes
 OpenMesh is a generic and efficient data structure for representing and
 manipulating polygonal meshes. It was designed with the following goals in
 mind:
 .
 - Flexibility: provide a basis for many different algorithms without the need
 for adaptation.
 .
 - Efficiency: maximize time efficiency while keeping memory usage as low as
 possible.
 .
 - Ease of use: wrap complex internal structure in an easy-to-use interface.
 .
 OpenMesh provides the following features:
 .
 - Representation of arbitrary polygonal (the general case) and pure triangle
 meshes (providing more efficient, specialized algorithms)
 .
 - Explicit representation of vertices, halfedges, edges and faces.
 .
 - Fast neighborhood access, especially the one-ring neighborhood
 .
 - Highly customizable
 .
   - Choose your coordinate type (dimension and scalar type)
   - Attach user-defined elements/functions to the mesh elements.
   - Attach and check for attributes
   - Attach data at runtime using dynamic properties.
 .
 This package provides the HTML documentation
