=== debian/watch ===
# I get the latest version from gitlab. BUT I grab the archive from the main
# site. Because that archive already has the cmake-library submodule

version=4
opts=filenamemangle=s/.*\/(\d\S+)\/archive\.tar\.gz/openmesh-$1\.tar\.gz/g,\
downloadurlmangle=s{.*OpenMesh-(\d\S+)\.tar\.gz}{https://www.graphics.rwth-aachen.de/media/openmesh_static/Releases/$1/OpenMesh-$1.tar.gz} \
  https://gitlab.vci.rwth-aachen.de:9000/OpenMesh/OpenMesh/tags?sort=updated_desc .*/archive/.*OpenMesh-(\d\S+)\.tar\.gz
