=== debian/changelog ===
openmesh (10.0.0-2) unstable; urgency=medium

  * Added missing #includes to fix FTBFS (Closes: #1067954)

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 May 2024 11:12:16 -0700

openmesh (10.0.0-1) unstable; urgency=medium

  * New upstream release
  * Package ABI bump

 -- Dima Kogan <dkogan@debian.org>  Sat, 04 May 2024 08:37:05 -0700
