=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openmesh
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
@@ -19,7 +18,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/openmesh.git
 Vcs-Browser: https://salsa.debian.org/science-team/openmesh
 
-Package: libopenmesh1
+Package: libopenmesh10.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -60,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmesh1 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmesh10.0 (= ${binary:Version}),
          libeigen3-dev,
          libopenscenegraph-dev
 Suggests: libopenmesh-doc, libopenmesh-apps
@@ -97,7 +96,7 @@
 
 Package: libopenmesh-apps
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmesh1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmesh10.0 (= ${binary:Version})
 Description: Tools for representing and manipulating polygonal meshes
  OpenMesh is a generic and efficient data structure for representing and
  manipulating polygonal meshes. It was designed with the following goals in
@@ -134,6 +133,7 @@
 Depends: ${misc:Depends}
 Section: doc
 Suggests: libopenmesh-dev (= ${binary:Version}), libopenmesh-apps (= ${binary:Version})
+Multi-Arch: foreign
 Description: Tools for representing and manipulating polygonal meshes
  OpenMesh is a generic and efficient data structure for representing and
  manipulating polygonal meshes. It was designed with the following goals in
